curl --request GET \
--url https://api.konbiniapi.com/v1/tiktok/audios/{audioId} \
--header 'Authorization: Bearer <token>'{
"data": {
"@context": [
"https://www.w3.org/ns/activitystreams#",
"https://konbiniapi.com/ns/social#"
],
"type": "Audio",
"url": "https://sf16-ies-music.tiktokcdn.com/obj/tos-alisg-v/123456",
"name": "original sound",
"duration": 23,
"id": "https://www.tiktok.com/music/original-sound-7611615657754381599",
"mediaType": "audio/mpeg",
"album": "Greatest Hits",
"videoCount": 500000,
"attributedTo": {
"type": "Person",
"id": "https://www.tiktok.com/@khaby.lame",
"url": "https://www.tiktok.com/@khaby.lame",
"isPrivate": false,
"isVerified": true,
"userId": "127905465618821121",
"internalId": "MS4wLjABAAAAwAg0rSzO65WQfz4RzQgGv2Xdv108BgPXhRrrmNVIHQZ9PO8-flwwRtEppYTS0OjA",
"name": "Khabane lame",
"preferredUsername": "khaby.lame",
"summary": "Just a guy who reacts",
"attachment": [
{
"type": "Link",
"href": "https://linktr.ee/khaby.lame"
}
],
"published": "2020-03-15T00:00:00.000Z",
"isLive": false,
"hasLikes": true,
"hasPlaylists": true,
"followerCount": 160300000,
"followingCount": 85,
"likeCount": 2600000000,
"videoCount": 1309,
"icon": {
"type": "Image",
"url": "https://p16-sign.tiktokcdn-us.com/tos-avt/123456~c5_100x100.jpeg",
"width": 576,
"height": 1024
},
"image": [
{
"type": "Image",
"url": "https://p16-sign.tiktokcdn-us.com/tos-avt/123456~c5_100x100.jpeg",
"width": 576,
"height": 1024
}
]
},
"icon": {
"type": "Image",
"url": "https://p16-sign.tiktokcdn-us.com/tos-avt/123456~c5_100x100.jpeg",
"width": 576,
"height": 1024
},
"image": [
{
"type": "Image",
"url": "https://p16-sign.tiktokcdn-us.com/tos-avt/123456~c5_100x100.jpeg",
"width": 576,
"height": 1024
}
]
}
}Returns metadata for an audio track including title, artist, duration, and usage count.
curl --request GET \
--url https://api.konbiniapi.com/v1/tiktok/audios/{audioId} \
--header 'Authorization: Bearer <token>'{
"data": {
"@context": [
"https://www.w3.org/ns/activitystreams#",
"https://konbiniapi.com/ns/social#"
],
"type": "Audio",
"url": "https://sf16-ies-music.tiktokcdn.com/obj/tos-alisg-v/123456",
"name": "original sound",
"duration": 23,
"id": "https://www.tiktok.com/music/original-sound-7611615657754381599",
"mediaType": "audio/mpeg",
"album": "Greatest Hits",
"videoCount": 500000,
"attributedTo": {
"type": "Person",
"id": "https://www.tiktok.com/@khaby.lame",
"url": "https://www.tiktok.com/@khaby.lame",
"isPrivate": false,
"isVerified": true,
"userId": "127905465618821121",
"internalId": "MS4wLjABAAAAwAg0rSzO65WQfz4RzQgGv2Xdv108BgPXhRrrmNVIHQZ9PO8-flwwRtEppYTS0OjA",
"name": "Khabane lame",
"preferredUsername": "khaby.lame",
"summary": "Just a guy who reacts",
"attachment": [
{
"type": "Link",
"href": "https://linktr.ee/khaby.lame"
}
],
"published": "2020-03-15T00:00:00.000Z",
"isLive": false,
"hasLikes": true,
"hasPlaylists": true,
"followerCount": 160300000,
"followingCount": 85,
"likeCount": 2600000000,
"videoCount": 1309,
"icon": {
"type": "Image",
"url": "https://p16-sign.tiktokcdn-us.com/tos-avt/123456~c5_100x100.jpeg",
"width": 576,
"height": 1024
},
"image": [
{
"type": "Image",
"url": "https://p16-sign.tiktokcdn-us.com/tos-avt/123456~c5_100x100.jpeg",
"width": 576,
"height": 1024
}
]
},
"icon": {
"type": "Image",
"url": "https://p16-sign.tiktokcdn-us.com/tos-avt/123456~c5_100x100.jpeg",
"width": 576,
"height": 1024
},
"image": [
{
"type": "Image",
"url": "https://p16-sign.tiktokcdn-us.com/tos-avt/123456~c5_100x100.jpeg",
"width": 576,
"height": 1024
}
]
}
}